#if(!defined(C_HEADER))
#define C_HEADER

#include "b.h"

class C
{
public:
	C();
	C(const C& c); // see note below
	C& operator=(const C&); // see note below
	virtual ~C();
	virtual int do_something();
private:
	B* b;
};

// Note: The copy constructor and the assignment operator are
// not easy to write; mostly they are considered an advanced topic,
// even though almost any meaningful class would need
// them to be explicitly written.

#endif